
Foreman - Bug #5616

Delete of Host fails when Reports are present

05/07/2014 05:31 PM - Martin Ducar

Status: Duplicate   

Priority: High   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi, we are using foreman 1.4.2 with postgresql DB backend. When trying to delete host that has reports present I get this error:

Warning!

ERROR: update or delete on table "hosts" violates foreign key constraint "reports_host_id_fk" on t

able "reports" DETAIL: Key (id)=(624) is still referenced from table "reports". 

...

PGError

ERROR: update or delete on table "hosts" violates foreign key constraint "reports_host_id_fk" on t

able "reports" DETAIL: Key (id)=(624) is still referenced from table "reports".

app/controllers/hosts_controller.rb:124:in `destroy'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call' 

 This feature was working before when host didn't recieve any report

Related issues:

Is duplicate of Foreman - Bug #3530: Unable to destroy a host when user have ... Resolved 10/28/2013

History

#1 - 05/08/2014 05:28 AM - Daniel Lobato Garcia

This is a duplicate of http://projects.theforeman.org/issues/3530

This error happens because the user performing the deletion needs to have some role with the permission :destroy_reports, otherwise there would be

some reports hanging around in the DB without host.

#2 - 05/08/2014 07:14 AM - Dominic Cleal

- Is duplicate of Bug #3530: Unable to destroy a host when user have permissions to "destroy_hosts" but no premissions to "destroy_reports". added

#3 - 05/08/2014 07:14 AM - Dominic Cleal

- Status changed from New to Duplicate
